package it.unibo.ai.rec.ui;

import java.awt.BasicStroke;
import java.awt.Color;

import javax.swing.JFrame;

import org.jfree.chart.ChartFactory;
import org.jfree.chart.ChartPanel;
import org.jfree.chart.JFreeChart;
import org.jfree.chart.plot.PlotOrientation;
import org.jfree.chart.plot.SeriesRenderingOrder;
import org.jfree.chart.plot.ValueMarker;
import org.jfree.chart.plot.XYPlot;
import org.jfree.chart.renderer.xy.XYAreaRenderer;
import org.jfree.data.xy.XYSeries;
import org.jfree.data.xy.XYSeriesCollection;

@SuppressWarnings("serial")
public class StepTest extends JFrame {
	public StepTest() {
		super();
		this.setSize(1000,800);
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		JFreeChart fluentChart = ChartFactory.createXYAreaChart
		( 
				null, // chart title 
				null, // x axis label 
				"", // y axis label 
				null, // data 
				PlotOrientation.VERTICAL, 
				true, // include legend 
				true, // tooltips 
				false // urls 
				);
		XYPlot fluentPlot = fluentChart.getXYPlot();
	//	fluentPlot.setRenderer(new XYAreaRenderer());
		fluentPlot.setBackgroundPaint(Color.white);
		fluentPlot.setDomainGridlinePaint(Color.black);
		fluentPlot.setRangeGridlinesVisible(false);
		fluentPlot.setOutlineStroke(new BasicStroke(3));
		fluentPlot.setOutlinePaint(Color.black);
		XYAreaRenderer renderer = ((XYAreaRenderer)fluentPlot.getRenderer());
		//renderer.setOutline(true);
		fluentPlot.addRangeMarker(new ValueMarker(0.5));
			
		XYSeriesCollection fluentCollection = new XYSeriesCollection();		
		fluentPlot.setDataset(fluentCollection);
		XYSeries s1 = new XYSeries("a", true, false);
		s1.addOrUpdate(1, 0);
		s1.addOrUpdate(1.0000001, 1);
		s1.addOrUpdate(10, 1);
		s1.addOrUpdate(10.000001, 0);
			
		XYSeries s2 = new XYSeries("b", true, false);
		s2.addOrUpdate(1, 0);
		s2.addOrUpdate(1.0000001, 1);
		s2.addOrUpdate(10, 1);
		s2.addOrUpdate(10.000001, 0);

		renderer.setSeriesPaint(0, Color.green);
		renderer.setSeriesPaint(1, Color.red);
		fluentPlot.setForegroundAlpha(0.3f);
		fluentPlot.setSeriesRenderingOrder(SeriesRenderingOrder.FORWARD);
		
		fluentCollection.addSeries(s2);
		fluentCollection.addSeries(s1);
		
		
		ChartPanel chartP = new ChartPanel(fluentChart);
		setContentPane(chartP);
		setVisible(true);
	}
	
	public static void main(String[] args) {
		new StepTest().setVisible(true);
	}
}
